extends MeshInstance


var time: float = 0.0

func _ready():
	pass


func _process(delta):
	time += delta
	# Geef de bitch een random positie en rotatie
	#c.rotate_y(rand_range(-5, 5))
	#self.transform = Transform(self.transform.basis, Vector3(rand_range(-17, 17), 0, rand_range(-30, 0)))
	transform.basis = Basis()
	rotate_object_local(Vector3(1, 0, 0), 0.05*sin(0.9* time*3.14))
	get_node("Light").omni_range = 10*sin(time*3.14)+sin(8*time*3.14)+4*sin(3*time*3.14)+15